Loading...
Searching...
No Matches
Catch::MessageInfo Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::MessageInfo:
[legend]

## Public Member Functions

| MessageInfo (StringRef _macroName, SourceLineInfo const &_lineInfo, ResultWas::OfType _type)
bool | operator== (MessageInfo const &other) const
bool | operator< (MessageInfo const &other) const

## Public Attributes

StringRef | macroName
std::string | message
SourceLineInfo | lineInfo
ResultWas::OfType | type
unsigned int | sequence

## Static Private Attributes

static unsigned int | globalCount = 0

## Constructor & Destructor Documentation

## MessageInfo()

Catch::MessageInfo::MessageInfo | ( | StringRef | _macroName,
|  | SourceLineInfo const & | _lineInfo,
|  | ResultWas::OfType | _type )

Here is the caller graph for this function:

## Member Function Documentation

## operator<()

bool Catch::MessageInfo::operator< | ( | MessageInfo const & | other | ) | const

inline

Here is the call graph for this function:

## operator==()

bool Catch::MessageInfo::operator== | ( | MessageInfo const & | other | ) | const

inline

Here is the call graph for this function:

## Member Data Documentation

## globalCount

unsigned int Catch::MessageInfo::globalCount = 0

staticprivate

## lineInfo

SourceLineInfo Catch::MessageInfo::lineInfo

## macroName

StringRef Catch::MessageInfo::macroName

## message

std::string Catch::MessageInfo::message

## sequence

unsigned int Catch::MessageInfo::sequence

## type

ResultWas::OfType Catch::MessageInfo::type

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp